Subject: bug#36083: closed (Re: bug#36083: 26.2; Bell every 10 seconds with message "<noname> is undefined")

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 06 Jun 2019 13:32:03 +0000

Your bug report

#36083: 26.2; Bell every 10 seconds with message "<noname> is undefined"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36083: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36083
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36083: 26.2; Bell every 10 seconds with message "<noname> is undefined"
From: Eli Zaretskii <[email-masked]>
To: Rick McCarty <[email-masked]>
Cc: [email-masked]
Date: Thu, 06 Jun 2019 16:30:56 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Rick McCarty <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Thu, 6 Jun 2019 05:28:35 +0000
> Thanks! You were correct. I found I also had to disable the modifier key combinations as well, so I did:
> 
>     (define-key global-map [noname] 'ignore)
>     (define-key global-map [C-noname] 'ignore)
>     (define-key global-map [M-noname] 'ignore)

Thanks, I added these bindings to Emacs, and this problem will be
solved starting from the next release 26.3 of Emacs.

> Your input that I should have reported this earlier is well taken - then perhaps Emacs could have been updated
> long ago to simply ignore these nonname pseudo keys by default or a workaround documented.

Indeed.  Well, better late than never.

I'm closing the bug report as it's now solved.

Subject: 26.2; Bell every 10 seconds with message "<noname> is undefined"
From: Rick McCarty <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 4 Jun 2019 00:18:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

In a new install of Windows 10, every 10 seconds the bell rings in Emacs, and the message "<noname> is undefined" is printed. It only happens when focus is on the Emacs window. This makes Emacs completely unusable.

This is not a new thing - I have seen it before on Vista, Win 7, and another Windows 10 system. I've never been able to figure out what is going on - instead I've just installed XEmacs and used that.

However, I just built a new system and figured I'd give it another try - the problem is still there. The only other reference to this problem that I could find is at:

https://stackoverflow.com/questions/47069309/on-launch-emacs-makes-ding-sound-and-displays-noname-is-undefined-message

That posting seems to associate this issue with DishAnywhere.

Well, I'm not using DishAnywhere, but I am using the SlingPlayer app, which is an ancestor of the DishAnywhere app. It just so happens that I had SlingPlayer running at the time I brought Emacs up (I run SlingPlayer pretty much all the time on my system.). When it is running, and I have focus on the Emacs window, the problem occurs.

As far as I can tell, I see no problems when running SlingPlayer with any other applications, including XEmacs. Only Gnu Emacs. There appears to be some resource that both are using which causes this. I was thinking - is it possible this has something to do with the emacs server/client stuff? If so, is there a potential workaround I could try? I really don't know how to chase this down more...

Thanks for taking a look at this.

Best regards,

Rick McCarty
[email-masked]

In GNU Emacs 26.2 (build 1, x86_64-w64-mingw32)
 of 2019-04-13 built on CIRROCUMULUS
Repository revision: fd1b34bfba8f3f6298df47c8e10b61530426f749
Windowing system distributor 'Microsoft Corp.', version 10.0.17763
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
<noname> is undefined [20 times]

Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils elec-pair time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 97843 10445)
 (symbols 48 20208 1)
 (miscs 40 79 119)
 (strings 32 29756 1492)
 (string-bytes 1 770394)
 (vectors 16 14088)
 (vector-slots 8 496979 11598)
 (floats 8 55 288)
 (intervals 56 294 34)
 (buffers 992 13))